// pages/change/change.js
const app = getApp()
const $api = require('../../utils/api.js').API;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        today_stock_img:''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },
    uploadImg() {
        var today_stock_img = this.data.today_stock_img;
        wx.chooseImage({
          success: res => {
            wx.showLoading({
              title: '正在上传',
            })
            const tempFilePaths = res.tempFiles
            for (let i = 0; i < tempFilePaths.length; i++) {
              $api.upload(tempFilePaths[i].path, 'file').then(res => {
                wx.hideLoading()
                if (res.code == 0) {
                  // today_stock_img.push(res.data.url)
                  this.setData({
                    today_stock_img: res.data.url
                  })
                } else {
                  wx.showToast({
                    title: '上传失败',
                  })
                }
              })
                .catch(err => {
                  wx.hideLoading()
                })
            }
    
          }
        })
      },
      del(e) {
        // var i = e.target.dataset.id;
        // var today_stock_img = this.data.today_stock_img;
        // today_stock_img.splice(i, 1)
        this.setData({
          today_stock_img: ''
        })
      },
      prview(e){
        var src = e.target.dataset.src;
        wx.previewImage({
          current: src, // 当前显示图片的http链接
          urls: [src] // 需要预览的图片http链接列表
        })
      },
      outchange(e){
        this.setData({
          out_fund: e.detail.value
        })
      },
      inchange(e){
        this.setData({
          in_fund: e.detail.value
        })
      },
      post(){
        var data={
          out_fund:this.data.out_fund,
          in_fund:this.data.in_fund,
          account_img:this.data.today_stock_img
        }
        if (!data.out_fund && !data.in_fund){
          wx.showToast({
            icon: 'none',
            title: '请输入今转出资金或今转入资金'
          })
          return
        }
   
        $api.update(data).then(res=>{
          if(res.code == 0){
            wx.showToast({
              title: '提交成功',
            })
          }else{
            wx.showToast({
              title: '提交失败',
            })
          }
        })
      },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})