// index.js
// 获取应用实例
const app = getApp()
const $api = require('../../utils/api.js').API;
Page({
  data: {
    loading:0,
    notices:[],
    tabs:['关注','热门股票','热门选手','胜率榜','冠军心得','今日反思'],
    cur:0,
    hot:0,
    date:'2022-04-27',
    followList:[],
    defendList:[],
    winList:[],
    hotFollowList:[],
    hotbuyList:[],
    championList:[],
    explist:[],
    page:1,
    total:-1,
    page1: 1,
    total1: 0,
    page2: 1,
    total2: 0,
    page3: 1,
    total3: 0,
    error:0
  },
  onLoad() {
    
    wx.showNavigationBarLoading()
    var y = new Date().getFullYear(), m = (new Date().getMonth() + 1), d = new Date().getDate();
    m = m > 9 ? m : '0' + m;
    d = d > 9 ? d : '0' + d;
    // this.setData({
    //   date: y + '-' + m + '-' + d
    // })
    $api.getDate().then(res=>{
      this.setData({
        date:res.data.data
      })
      $api.getNotoice().then(res=>{
        this.setData({
          notices:res.data.data
        })
      })
    })
    this.getFollow()
   
    
    
  },
  fresh: function () {
    this.setData({
      page:1,
      total:-1,
      loading:1
    })
    this.getFollow()
  },
  //关注分页
  next: function () {
    if (this.data.followList.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getFollow()
    }
  },
  getFollow(){
    var followList = this.data.followList
    if(this.data.loading){
      followList=[]
    }
    $api.getMyFollow({
      page: this.data.page, page_size: 20
    }).then(res => {
      wx.hideNavigationBarLoading()
      res.data.data.list.forEach(item=>{
        item.today_income=parseInt(item.today_income)+"%"
        item.total_income=parseInt(item.total_income)+"%"
        followList.push(item)
      })
      this.setData({
        followList: followList,
        total:res.data.data.total,
        error:0,
        loading: 0
      })
    })
    .catch(err=>{
      this.setData({
        error:1
      })
    })
  },
  //胜率分页
  next1: function () {
    if (this.data.winList.length < this.data.total1) {
      const page = this.data.page1 + 1
      this.setData({
        page1: page
      })
      this.getWin()
    }
  },
  getWin() {
    var winList = this.data.winList
    $api.getRinrate({
      page: this.data.page1, page_size: 20
    }).then(res => {
      res.data.data.list.forEach(item => {
        winList.push(item)
      })
      this.setData({
        winList: winList,
        total1: res.data.data.total
      })
    })
  },
  //防守分页  防守榜去掉
  // next2: function () {
  //   if (this.data.defendList.length < this.data.total2) {
  //     const page = this.data.page2 + 1
  //     this.setData({
  //       page2: page
  //     })
  //     this.getDefen()
  //   }
  // },
  // getDefen() {
  //   var defendList = this.data.defendList
  //   $api.getDefend({
  //     page: this.data.page2, page_size: 20
  //   }).then(res => {
  //     res.data.data.list.forEach(item => {
  //       defendList.push(item)
  //     })
  //     this.setData({
  //       defendList: defendList,
  //       total2: res.data.data.total
  //     })
  //   })
  // },

  getData(){
    //心得
    $api.getChampionlList().then(res => {
      this.setData({
        championList: res.data.data.list
      })
    })
    
    
  }, 
  //热门选手分页
  next3: function () {
    if (this.data.hotFollowList.length < this.data.total3) {
      const page = this.data.page3 + 1
      this.setData({
        page3: page
      })
      this.getHotFollowList()
    }
  },
  getHotFollowList() {
    var hotFollowList = this.data.hotFollowList
    let stock_date = this.data.date
    $api.getHotFollow({
      page: this.data.page3, page_size: 20, stock_date: stock_date
    }).then(res => {
      
      res.data.data.list.forEach(item => {
        hotFollowList.push(item)
      })
      this.setData({
        hotFollowList: hotFollowList,
        total3: res.data.data.total
      })
    })
  },
  getHot(){
    //热门
    let stock_date = this.data.date

    $api.getHotbuyList({ stock_date: stock_date }).then(res => {
      
      this.setData({
        hotbuyList: res.data.data.list
      })
      wx.hideNavigationBarLoading()
    })
    // $api.getHotsellList({ stock_date: stock_date }).then(res => {
    //   this.setData({
    //     hotsellList: res.data.data.list
    //   })
    // })
    $api.getChoice().then(res=>{
      this.setData({
        myList: res.data.data.list
      })
    })
  },
  tabChange(e){
      this.setData({
        cur:e.target.dataset.id
      })
      switch(e.target.dataset.id){
        case 0:
          if (this.data.followList.length>0){
            return
          }
          this.getFollow()
          break;
        case 1:
          if (this.data.hotbuyList.length>0) {
            return
          }
          this.getHot()
          break;
        case 2:
          if (this.data.hotFollowList.length > 0) {
            return
          }
          this.getHotFollowList()
          break;
        case 3:
          if (this.data.winList.length > 0) {
            return
          }
          this.getWin()
          break;
        case 4:
          if (this.data.championList.length>0) {
            return
          }
          this.getData()
          break;
        case 5:
          if (this.data.explist.length>0) {
            return
          }
          this.getExp()
          break;
      }
  },
  tabChange1(e){
    this.setData({
      hot:e.target.dataset.id
    })
  },
  //预览
  preview(e){
    console.log(e)
    wx.previewImage({
      urls: e.target.dataset.urls,
      current: e.target.dataset.src
    })
  },
  curChange(e){
    if (e.detail.source == "touch"){
        this.setData({
          cur: e.detail.current
        })

      switch (e.target.dataset.id) {
        case 0:
          if (this.data.followList.length > 0) {
            return
          }
          this.getFollow()
          break;
        case 1:
          if (this.data.hotbuyList) {
            return
          }
          this.getHot()
          break;
        case 2:
          if (this.data.hotFollowList.length > 0) {
            return
          }
          this.getHotFollowList()
        case 3:
          if (this.data.winList.length > 0) {
            return
          }
          this.getWin()
          break;
        case 4:
          if (this.data.championList) {
            return
          }
          this.getData()
          break;
          case 5:
          if (this.data.explist.length>0) {
            return
          }
          this.getExp()
          break;
      }
    }
  

  },
  //热门股票
  bindDateChange(e){
    this.setData({
      date:e.detail.value
    })
    wx.showNavigationBarLoading()
    this.getHot()
  },
  getExp(){
    $api.getExperience({page:1,page_size:10}).then(res=>{
      var data=res.data.data.list;
      data.forEach(item=>{
        item.today_income=parseInt(item.today_income)+"%"
        item.total_income=parseInt(item.total_income)+"%"
      })
      this.setData({
        explist: data
      })
    })
  },
  onShow: function (e) {
    let pages = getCurrentPages();
    let currentPage = pages[pages.length - 1];
    console.log(pages)
    //判断是否报名
    $api.getAuthinfo().then(res=>{
      if(res.data.data.role==0){
        wx.navigateTo({
          url: '../login/user?type=3',
        })
      }
    })
    this.setData({
      // followList:[],
      defendList:[],
      winList:[],
      hotFollowList:[],
      hotbuyList:[],
      championList:[],
      explist:[],
      // page:1,
      // total:-1,
      page1: 1,
      total1: 0,
      page2: 1,
      total2: 0,
      page3: 1,
      total3: 0
    })
    switch(this.data.cur){
      // case 0:
      //   this.getFollow()
      //   break;
      case 1:
        this.getHot()
        break;
      case 2:
        this.getHotFollowList()
        break;
      case 3:
        this.getWin()
        break;
      case 4:
        this.getData()
        break;
        case 5:
          this.getExp()
          break;
    }
    // if (app.globalData.follow){
    //   this.setData({
    //     page: 1,
    //     total: -1,
    //     followList: [],
    //   })
    //   app.globalData.follow=0
    //   this.getFollow()
    // }
    
    // if (this.data.error) {
    //   this.onLoad()
    // }
  },
})
